> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an asset from its policy

> Only possible when the asset was created on the same branch it is being removed on.



## OpenAPI

````yaml /openapi.json delete /assets/{assetId}
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /assets/{assetId}:
    delete:
      tags:
        - asset
      summary: Remove an asset from its policy
      description: >-
        Only possible when the asset was created on the same branch it is being
        removed on.
      operationId: AssetController_removeAsset
      parameters:
        - name: tenant
          in: header
          required: true
          description: Your tenant identifier. Requests without it are rejected.
          schema:
            type: string
        - name: assetId
          required: true
          in: path
          description: assetId
          schema:
            pattern: >-
              ^asset(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
            format: date-time
        - name: branchId
          required: true
          in: query
          description: the branchId
          schema:
            pattern: >-
              ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoveAssetOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidEventCreationDateErrorDto'
              examples:
                INVALID_EVENT_CREATION_DATE:
                  value:
                    code: INVALID_EVENT_CREATION_DATE
                    message: >-
                      You are trying to push an event that is created on
                      {createdAt}, but the creation date should be after the
                      latest event which was created on {latestCreatedAt}
                    details: {}
          description: ''
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ForbiddenErrorDto'
              examples:
                FORBIDDEN:
                  value:
                    code: FORBIDDEN
                    message: Forbidden
                    details: {}
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AssetNotFoundErrorDto'
              examples:
                ASSET_NOT_FOUND:
                  value:
                    code: ASSET_NOT_FOUND
                    message: Asset {assetId} ({branchId}) not found
                    details: {}
          description: ''
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AssetNotCreatedOnThisBranchErrorDto'
                  - $ref: '#/components/schemas/ConflictingAssetStatusErrorDto'
                  - $ref: '#/components/schemas/ConflictingPolicyStatusErrorDto'
                  - $ref: '#/components/schemas/ConflictingBranchStatusErrorDto'
              examples:
                ASSET_NOT_CREATED_ON_THIS_BRANCH:
                  value:
                    code: ASSET_NOT_CREATED_ON_THIS_BRANCH
                    message: >-
                      Asset {assetId} as not been created on BRANCH
                      {currentBranchId}, asset was created on BRANCH
                      {creationBranchId}
                    details: {}
                CONFLICTING_ASSET_STATUS:
                  value:
                    code: CONFLICTING_ASSET_STATUS
                    message: >-
                      Asset status {requirement} {assetStatus} to perform
                      {action}
                    details: {}
                CONFLICTING_POLICY_STATUS:
                  value:
                    code: CONFLICTING_POLICY_STATUS
                    message: >-
                      {policyId} status {requirement} {policyStatus} to perform
                      {action}
                    details: {}
                CONFLICTING_BRANCH_STATUS:
                  value:
                    code: CONFLICTING_BRANCH_STATUS
                    message: >-
                      Branch status {requirement} {branchStatus} to perform
                      {action}
                    details: {}
          description: ''
components:
  schemas:
    RemoveAssetOutput:
      type: object
      properties: {}
    InvalidEventCreationDateErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EVENT_CREATION_DATE
        message:
          type: string
          example: >-
            You are trying to push an event that is created on {createdAt}, but
            the creation date should be after the latest event which was created
            on {latestCreatedAt}
        details:
          $ref: '#/components/schemas/InvalidEventCreationDateDetailsDto'
      required:
        - code
        - message
        - details
    ForbiddenErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - FORBIDDEN
        message:
          type: string
          example: Forbidden
        details:
          $ref: '#/components/schemas/ForbiddenDetailsDto'
      required:
        - code
        - message
        - details
    AssetNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - ASSET_NOT_FOUND
        message:
          type: string
          example: Asset {assetId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/AssetNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    AssetNotCreatedOnThisBranchErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - ASSET_NOT_CREATED_ON_THIS_BRANCH
        message:
          type: string
          example: >-
            Asset {assetId} as not been created on BRANCH {currentBranchId},
            asset was created on BRANCH {creationBranchId}
        details:
          $ref: '#/components/schemas/AssetNotCreatedOnThisBranchDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingAssetStatusErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_ASSET_STATUS
        message:
          type: string
          example: Asset status {requirement} {assetStatus} to perform {action}
        details:
          $ref: '#/components/schemas/ConflictingAssetStatusDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingPolicyStatusErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_POLICY_STATUS
        message:
          type: string
          example: '{policyId} status {requirement} {policyStatus} to perform {action}'
        details:
          $ref: '#/components/schemas/ConflictingPolicyStatusDetailsDto'
      required:
        - code
        - message
        - details
    ConflictingBranchStatusErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_BRANCH_STATUS
        message:
          type: string
          example: Branch status {requirement} {branchStatus} to perform {action}
        details:
          $ref: '#/components/schemas/ConflictingBranchStatusDetailsDto'
      required:
        - code
        - message
        - details
    InvalidEventCreationDateDetailsDto:
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
        latestCreatedAt:
          type: string
          format: date-time
      required:
        - createdAt
        - latestCreatedAt
    ForbiddenDetailsDto:
      type: object
      properties:
        message:
          type: string
        documentKey:
          type: string
        userId:
          type: string
        ownerId:
          type: string
      required:
        - message
        - documentKey
        - userId
        - ownerId
    AssetNotFoundDetailsDto:
      type: object
      properties:
        assetId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - assetId
    AssetNotCreatedOnThisBranchDetailsDto:
      type: object
      properties:
        assetId:
          type: string
        creationBranchId:
          type: string
        currentBranchId:
          type: string
      required:
        - assetId
        - creationBranchId
        - currentBranchId
    ConflictingAssetStatusDetailsDto:
      type: object
      properties:
        assetStatus:
          allOf:
            - $ref: '#/components/schemas/AssetStatus'
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
        additionalData:
          type: object
          additionalProperties: true
      required:
        - assetStatus
        - requirement
        - action
    ConflictingPolicyStatusDetailsDto:
      type: object
      properties:
        policyStatus:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        policyId:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
        additionalData:
          type: object
          additionalProperties: true
      required:
        - policyStatus
        - policyId
        - requirement
        - action
    ConflictingBranchStatusDetailsDto:
      type: object
      properties:
        branchStatus:
          allOf:
            - $ref: '#/components/schemas/BranchStatus'
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - branchStatus
        - requirement
        - action
    AssetStatus:
      type: string
      enum:
        - ASSET_CREATED
        - ASSET_REMOVED
        - ASSET_QUOTED
        - ASSET_CONFIRMED
        - ASSET_STARTED
        - ASSET_STOPPED
        - ASSET_CANCELLED
    OperationRequirement:
      type: string
      enum:
        - must be
        - must NOT be
        - must contain
        - must NOT contain
    Action:
      type: string
      enum:
        - PERFORM THIS ACTION
        - CREATE POLICY
        - CREATE ASSET
        - CREATE ASSET WITH START DATE
        - REPLACE ASSET
        - REMOVE ASSET
        - CHOOSE ASSET OPTIONS
        - STOP ASSET
        - EDIT ASSET
        - EDIT ASSET WITH START DATE
        - CREATE BRANCH
        - CREATE DEROGATION
        - CREATE MTA BRANCH
        - FORK TO NEW MTA BRANCH
        - FORK TO NEW NB BRANCH
        - FORK TO NEW RENEWAL BRANCH
        - FORK TO NEW REPRICING BRANCH
        - DEFINE PARENT POLICY ID
        - INITIALIZE CUSTOMER
        - EDIT CUSTOMER
        - DELETE CUSTOMER FROM POLICY
        - SIGN
        - EDIT POLICY
        - EDIT POLICY EXTERNAL ID
        - CONFIRM POLICY
        - QUOTE POLICY
        - RETRIEVING QUOTE
        - STOP POLICY
        - SUSPEND POLICY
        - ACTIVATE POLICY
        - GENERATE MANDATE SIGNATURE REQUEST
        - GENERATE PAYMENT METHOD SECRET
        - CREATE CLAIM
        - FINALIZE RENEWAL
        - SEND CONTRACT TO SIGNATURE
        - GENERATE SIGNATURE REQUEST
        - GENERATE DOCUMENTS FOR SIGNATURE
        - APPROVE DISTRIBUTION REQUEST
        - DENY DISTRIBUTION REQUEST
        - REVOKED_DISTRIBUTION_REQUEST
        - DELETE DISTRIBUTION REQUEST
        - WAITING FOR SIGNATURE DISTRIBUTION REQUEST
        - UPDATE POLICY QUOTE
    BranchStatus:
      type: string
      enum:
        - BRANCH_OPEN
        - BRANCH_MERGED
        - BRANCH_CLOSED
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````